image: ruby:2.4

cache:
  paths:
  - vendor/

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  JEKYLL_ENV: production

before_script:
  - mkdir public
  - bundle install --path vendor
  - export LANG=en_US.UTF-8
  - export LANGUAGE=en_US:en
  - export LC_ALL=en_US.UTF-8

deploy_production:
    stage: deploy
    tags:
        - courseweb
    script:
        - cp _config_production.yml _config.yml
        - cp _layouts/presentation_production.html _layouts/presentation.html
        - bundle exec jekyll build -d public
        - /www/utils/deploycourseweb.sh
    variables:
        quarter: 21sp
        course: csep590a
        source_path: public
    only:
      - tags
